Description.prototype._GetVersion_ = function()
{
	var Row=$("#Main_Center-Content").find(".Form").eq(0).find(".Row");
	var Div = $("#Main_Left-List").find("div")
	for(var i=0; i<Div.length; i++)
	{
		if(Div.eq(i).css("border-left-color") == "rgb(57, 93, 139)"){
			return;
		}
	}
	Row.eq(0).find(".RightColumn").text(Global_MiddlewareVersion);
	Row.eq(1).find(".RightColumn").text(Global_MainProgramVersion);
	if(Global_WebInterfaceVersion != null)
	{
		if(Global_WebInterfaceVersion.toString().indexOf("\n") != -1)
		{
			Row.eq(2).find(".RightColumn").html(Global_WebInterfaceVersion.replace("\n", "<br>"));
		}
	}
	if(Global_InstallInformation.indexOf("InstallSuccess") == -1)
	{
		Row.eq(3).hide();
	}
	else{
		Row.eq(3).show();
	}
	Row.eq(3).find(".RightColumn").html(Global_InstallInformation);
	var ssocket = io.connect();
	ssocket.emit("GetFlashVersionInformation");
	ssocket.on("GetFlashVersionInformation", function (Return) {
		if(Return[0].indexOf('/dev/ubi0_0') == 0)
		{
			Row.eq(4).find(".RightColumn").text("NAND Flash");
		}
		else
		{
			Row.eq(4).find(".RightColumn").text("eMMC Flash");
		}
	});
};